## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate parking_lot_core

Name:           rust-parking_lot_core
Version:        0.9.9
Release:        %autorelease
Summary:        Advanced API for creating custom synchronization primitives

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/parking_lot_core
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          parking_lot_core-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An advanced API for creating custom synchronization primitives.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deadlock_detection-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deadlock_detection-devel %{_description}

This package contains library source intended for building other packages which
use the "deadlock_detection" feature of the "%{crate}" crate.

%files       -n %{name}+deadlock_detection-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+petgraph-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+petgraph-devel %{_description}

This package contains library source intended for building other packages which
use the "petgraph" feature of the "%{crate}" crate.

%files       -n %{name}+petgraph-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+thread-id-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thread-id-devel %{_description}

This package contains library source intended for building other packages which
use the "thread-id" feature of the "%{crate}" crate.

%files       -n %{name}+thread-id-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.9-1
- Update to version 0.9.9; Fixes RHBZ#2244733

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.8-1
- Update to version 0.9.8; Fixes RHBZ#2212575

* Tue Feb 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.7-1
- Update to version 0.9.7; Fixes RHBZ#2166439

* Sun Jan 29 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.6-1
- Update to version 0.9.6; Fixes RHBZ#2160192

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Dec 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.5-1
- Update to version 0.9.5; Fixes RHBZ#2135839

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 24 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.3-1
- Update to version 0.9.3; Fixes RHBZ#2070223

* Thu Mar 03 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Update to version 0.9.1; Fixes RHBZ#2047903

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Feb 14 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-1
- Update to version 0.8.3.
- Fixes RHBZ#1928267

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.8.2-1
- Update to version 0.8.2.
- Fixes RHBZ#1909858

* Mon Dec 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.8.1-1
- Update to version 0.8.1.
- Fixes RHBZ#1904589

* Tue Aug 25 2020 Josh Stone <jistone@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 22 2020 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Tue Apr 14 2020 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.7.0-2
- Upgrade to petgraph 0.5

* Sat Dec 14 11:44:14 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Sun Aug 04 13:01:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 21 21:14:10 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-3
- Regenerate

* Sun Jun 09 14:27:53 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-2
- Regenerate

* Mon May 06 15:46:51 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-3
- Do not pull optional dependencies

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Dec 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-2
- Run tests in infrastructure

* Tue Sep 11 2018 Josh Stone <jistone@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-1
- Initial package

## END: Generated by rpmautospec
